#include <Python.h>

#ifdef __cplusplus
extern "C" {
#endif

  struct ann_data_t;
  
  extern void*	ann_cc_make_ann(int alloc_num_pts, int dims);
  extern void	ann_cc_del_ann(struct ann_data_t*);
  extern void	ann_cc_add_pt(struct ann_data_t*, double* pt, unsigned len);
  extern unsigned ann_cc_search(struct ann_data_t*, double* pt, unsigned len,
			      unsigned num_res, double err_bound);
  extern unsigned ann_cc_get_nnidx(struct ann_data_t*, unsigned idx);
  extern double	ann_cc_get_dist(struct ann_data_t*, unsigned idx);
    
#ifdef __cplusplus
}
#endif
